EDIT - feature request #6691

Implement all name types in NameDetailElement
06/05/2017 09:36 AM - Andreas Mdller

Status: Duplicate Start date:

Priority: New Due date:

Assignee: Katja Luther % Done: 10%
Category: taxeditor Estimated time: 0:00 hour

Target version:

Severity: normal

Description
It is now possible to switch name types easily. So we should allow to edit all name types, not only ICNAFP and ICZN.

Related issues:

Related to EDIT - feature request #6361: [MASTER] Merge all TaxonName classes... Closed
Has duplicate EDIT - feature request #6693: Implement missing nomenclatural c... Closed
History

#1 - 06/05/2017 05:07 PM - Andreas Miiller
- Parent task deleted (#6361)

#2 - 06/05/2017 05:07 PM - Andreas Miiller
- Related to feature request #6361: [MASTER] Merge all TaxonName classes into 1 class added

#3 - 07/06/2017 10:11 PM - Andreas Miiller

- Target version changed from Release 4.8 to Release 4.9

#4 - 07/21/2017 10:27 AM - Andreas Mdiller

- Target version changed from Release 4.9 to Release 4.10

#5 - 09/04/2017 12:47 PM - Katja Luther

- Assignee changed from Katja Luther to Andreas Miiller

All name types are available in drop down list. Switching between zoological and botanical codes also switching the available fields. There are any
special fields for fungi or viruses??

#6 - 09/04/2017 07:00 PM - Andreas Miiller
Katja Luther wrote:

Are there any special fields for fungi or viruses?

Please refere to the according interfaces (IViraIName, IFungusName, ...) to adapt the Ul properly.

#7 - 09/04/2017 07:01 PM - Andreas Miuller

- Assignee changed from Andreas Miiller to Katja Luther

#8 - 09/04/2017 07:01 PM - Andreas Miiller
- Status changed from New to In Progress

- % Done changed from 0 to 10

#9 - 09/06/2017 10:34 AM - Katja Luther

if the name once is set to viral, the getTaggedName method returns always null.
else if (nonViralName.getNameType () .isViral()) {

return null;

}
we should remove the viral nomanclatural code to avoid this, because at the moment everything is based on INonViralName.
#10 - 09/15/2017 11:28 AM - Katja Luther

- Status changed from In Progress to Resolved

- Assignee changed from Katja Luther to Andreas Mdiller

| removed the viral code from the drop down. Created a new ticket for this and close this one.(#6950)

#11 - 09/18/2017 01:42 PM - Andreas Miiller

Is there a difference between this ticket and #6693 or is it a duplicate?

#12 - 09/20/2017 06:38 PM - Andreas Miiller

- Assignee changed from Andreas Muiller to Katja Luther

To me this seems to be a duplicate for 6693 (or vice versa). Please see my comments on #6693.

#13 - 09/21/2017 10:20 PM - Katja Luther

- Status changed from Resolved to Duplicate

- Target version deleted (Release 4.10)

| think this is a duplicate

#14 - 09/21/2017 10:21 PM - Katja Luther

- Has duplicate feature request #6693: Implement missing nomenclatural codes for name detail element added
https://dev.e-taxonomy.eu/redmine/issues/6950
